Loading...
Searching...
No Matches
GeisSubscription Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices » Gesture Classes » Gesture Regions » Gesture Filter » Gesture Subscription

A gesture recognition subscription. More...

`#include <geis.h>`

## Public Member Functions

Region Initialization Arguments

  Gesture regions are created to describe a particular display/feedback region. The type of the region can not be changed after creation (just create a new region for that). The types of regions are platform specific and each type may require addition arguments.

  The following region initialization argument names are required by the GEIS v2.0 specification.

GeisSubscription | geis_subscription_new (Geis geis, GeisString name, GeisSubscriptionFlags flags)
| Creates a new subscription.
GeisStatus | geis_subscription_delete (GeisSubscription subscription)
| Destroys a GEIS v2.0 subscription object.
GeisStatus | geis_subscription_activate (GeisSubscription subscription)
| Activates a subscription.
GeisStatus | geis_subscription_deactivate (GeisSubscription subscription)
| Deactivates a subscription.
GeisString | geis_subscription_name (GeisSubscription subscription)
| Gets the name given to a subscription when it was created.
GeisInteger | geis_subscription_id (GeisSubscription subscription)
| Gets the ID assigned to a subscription when it was created.
GeisStatus | geis_subscription_add_filter (GeisSubscription subscription, GeisFilter filter)
| Adds a filter to a subscription.
GeisFilter | geis_subscription_filter_by_name (GeisSubscription sub, GeisString name)
| Gets an named filter from a subscription.
GeisStatus | geis_subscription_remove_filter (GeisSubscription subscription, GeisFilter filter)
| Removes a filter from a subscription.

## Detailed Description

A gesture recognition subscription.

Examples
  geis2.c.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h